import request from '@/utils/request'

// 查询营业执照信息列表
export function listInformation(query) {
  return request({
    url: '/crmBusinessLicenseInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询营业执照信息详细
export function getInformation(id) {
  return request({
    url: '/crmBusinessLicenseInformation/information/' + id,
    method: 'get'
  })
}

// 新增营业执照信息
export function addInformation(data) {
  return request({
    url: '/crmBusinessLicenseInformation/information',
    method: 'post',
    data: data
  })
}

// 修改营业执照信息
export function updateInformation(data) {
  return request({
    url: '/crmBusinessLicenseInformation/information',
    method: 'put',
    data: data
  })
}

// 删除营业执照信息
export function delInformation(id) {
  return request({
    url: '/crmBusinessLicenseInformation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
  console.log(ids);
  return request.post('/crmBusinessLicenseInformation/delete',ids)
}

